<?php
$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_e4db503f811792b891b982e0cad39a" . "c4" => base64_decode("Ly4uLy4uLy4uL2NvbW1vbi9jb" . "3JlX3BocC5waHA="), "_11def3af2a833468dd0e4f" . "f1f0bc5414" => base64_decode("Li4vY29" . "yZS9ib2" . "90c3RyY" . "XAucGhw"), "_dcf86ccc31af7f63" . "af36115aa12b1ee7" => base64_decode("Y2hka" . "XI="), "_00f2055c7cbd408ef56949f35c6" . "2b721" => base64_decode("Zmls" . "ZXM="), "_9342063570b40df2075204394b59" . "df59" => base64_decode("Z2V0Y3" . "dk"), "d" . "b" => base64_decode("ZG" . "I="), "_a056f0cf0cdc3699505cc5ff" . "22b5e7ac" => base64_decode("SW52YWxpZCAnZnJvbScgcGFyYW1" . "ldGVyLiBTaG91bGQgYmUgZWl0aG" . "VyICdkYicgb3IgJ2ZpbGVzJw=="), "_e13e80e20d331face5f5" . "6ce9d9be42cd" => base64_decode("cmVzdG9yZV9lcnJvcl9oYW5kb" . "GVy"), "_7618fa2e44dd7c2de26" . "ed1413b53cddd" => base64_decode("Ly4uLy4" . "uLy4uL3" . "NldHVw"));
require_once __DIR__ . $GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_e4db503f8" . "11792b891b" . "982e0cad39" . "ac4"];
use Claromentis\Setup\Util;






class ReadVersionTask extends Task
{
    
    
    
    
    protected $application;
    
    
    
    
    protected $from;
    
    
    
    
    protected $property;
    public function main()
    {
        $_33cd0a6efc4dc46179519f04eaa36255 = $GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_9342063570b40df2075204394b59df" . "59"]();
        $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_dcf86ccc31af7f63af36115aa12b" . "1ee7"](__DIR__ . $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_7618fa2e44dd7c2d" . "e26ed1413b53cddd"]);
        require_once $GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["_11def3af2a83" . "3468dd0e4ff1f" . "0bc5414"];
        $GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_e13e80e20d331face5f56ce9d9" . "be42cd"]();
        global $g_application;
        try {
            if ($this->from == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["d" . "b"]) {
                $_d3a4df576cec8d467e29e06a95ac4009 = new \Claromentis\Setup\Db\Migrations\PersistenceDatabase($this->application, $g_application->db);
                $result = $_d3a4df576cec8d467e29e06a95ac4009->GetVersion();
            } elseif ($this->from == $GLOBALS["__65da1b1ec2d6653e8a0ab7848e536" . "215"]["_00f2055c7cbd408ef56949f35c62b7" . "21"]) {
                $_4825e032d19ebe3edee32a6a54c7afd2 = Util::GetApplicationPath($this->application, $g_application, $this->project);
                $_c6a2115f762b2695bf8d81d19df793de = new \Claromentis\Setup\VersionFile($this->application, $_4825e032d19ebe3edee32a6a54c7afd2);
                $result = $_c6a2115f762b2695bf8d81d19df793de->GetVersionCode();
            } else {
                throw new Exception($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_a056f0cf0cdc3699505cc5ff22b5e7" . "ac"]);
            }
        } catch (Exception $e) {
            $GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_dcf86ccc31af7f63af36115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
            $this->log($e->getMessage(), Project::MSG_ERR);
            throw new BuildException($e->getMessage());
        }
        $this->project->setProperty($this->property, $result);
        $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_dcf86ccc31af7f" . "63af36115aa12b1" . "ee7"]($_33cd0a6efc4dc46179519f04eaa36255);
    }
    
    
    
    
    
    
    public function setApplication($_f44467aacb8a4520c7382769d24aa422)
    {
        $this->application = $_f44467aacb8a4520c7382769d24aa422;
    }
    
    
    
    
    
    
    public function setFrom($from)
    {
        $this->from = $from;
    }
    
    
    
    
    
    
    public function setProperty($_c241f11ec2591cc626823468234ffaf4)
    {
        $this->property = $_c241f11ec2591cc626823468234ffaf4;
    }
}